package cn.com.qmth.stmms.biz.distributpaper.service;

import java.util.List;

import cn.com.qmth.stmms.biz.distributpaper.model.StandardLibrary;
import cn.com.qmth.stmms.biz.subjectheader.query.StandardLibrarySearchQuery;
import cn.com.qmth.stmms.common.enums.ClassType;

public interface StandardLibraryService {

    StandardLibrary save(StandardLibrary standardLibrary);

    StandardLibrary findById(Integer id);

    void deleteById(Integer id);

    void delete(StandardLibrary standardLibrary);

    List<StandardLibrary> findByExamIdAndBlockId(Integer examId, Integer blockId);

    StandardLibrary findByBlockIdAndSecretNo(Integer blockId, Integer secretNo);

    /**
     * 累加领取数量
     * 
     * @param id
     * @return
     */
    public StandardLibrary incrGetCount(Integer id);

    public StandardLibrarySearchQuery findByQuery(StandardLibrarySearchQuery query);

    /**
     * 设置标准卷
     * 
     * @param examId
     * @param subjectCode
     * @param blockId
     * @param count
     * @param subjectheaderId
     */
    void example(int examId, String subjectCode,  int blockId, int count, int subjectheaderId);

    List<StandardLibrary> findByBlockId(int blockId);
}
